.hide {
  display: none;
}
.wrap-input100 {
    height: 50px;
}
.text-center { 
    text-align: center;
}
.loginbutton {
  position: relative;
  flex-direction: column;
  border: none;
  box-shadow: 0 12px 24px 0 rgba(0, 0, 0, 0.2);
  font-weight: 300;
  overflow: hidden;
}
.loginbutton:before {
  position: absolute;
  content: "";
  bottom: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background-color: #54d98c;
}
.loginbutton span {
  position: absolute;
  line-height: 0;
}
.loginbutton span i {
  transform-origin: center center;
}
.loginbutton span:nth-of-type(1) {
  top: 50%;
  transform: translateY(-50%);
}
.loginbutton span:nth-of-type(2) {
  top: 100%;
  transform: translateY(0%);
  font-size: 24px;
}
.loginbutton span:nth-of-type(3) {
  display: none;
}

.active {
  background-color: #2ecc71;
}
.active:before {
  width: 100%;
  transition: width 3s linear;
}
.active span:nth-of-type(1) {
  top: -100%;
  transform: translateY(-50%);
}
.active span:nth-of-type(2) 
 { top: 50%;
  transform: translateY(-50%);
}
.active span:nth-of-type(2) i {
  animation: loading 500ms linear infinite;
}
.active span:nth-of-type(3) {
  display: none;
}

.finished {
  /* background-color: #54d98c; */
  background-color: #656262;
  cursor: wait !important;
}
.finished:hover {
    background-color: #656262;

}
.finished .submit {
  display: none;
}
.finished .loading {
  display: none;
}
.finished .check {
  display: block !important;
  font-size: 15px;
  animation: scale 0.5s linear;
}
.finished .check i {
  transform-origin: center center;
}
.fa {
  font-size: 13px;
}
.filler {
    display: block;
    height: 19px;
    width: 100%;
}
@keyframes loading {
  100% {
    transform: rotate(360deg);
  }
}
@keyframes scale {
  0% {
    transform: scale(10);
  }
  50% {
    transform: scale(0.2);
  }
  70% {
    transform: scale(1.2);
  }
  90% {
    transform: scale(0.7);
  }
  100% {
    transform: scale(1);
  }
}
.logo{
      position: absolute;
    width: 130px;
    top: 130px;
    right: 5px;
    left: 0;
    margin: auto;
}